#ifndef __OOL_XTHREAD_H__
#define __OOL_XTHREAD_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------ OS/2 version 0.01a */
/*===========================================================================*/
/*                              class: XThread                               */
/*                       derived from: XProcess                              */
/*                        last update: 4/96                                  */
/*                      programmed by: Stefan von Brauk                      */
/*===========================================================================*/



#include "xprocess.h"


class _export_ XThread: public XProcess
{
      friend void RunThreads( void );
      friend void _Optlink StartUp(void * v);
   private:
      static int threadsRunning;
//      static void StartUp( void *);
      void ThreadEntry( void );
   public:
      void Run();
      virtual void Init( void );
      static void RunThreads( void );
      XThread( );
      virtual void Terminate( void );
};



#endif
